<?php
//define('_IN_JOHNCMS', 1);
if ( isset( $_GET[ 'gos' ] ) )
		{
				if ( isset( $mc ) )
						{
								if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$gos[id_plant]' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')" ), 0 ) != 0 )
												mysql_query( "UPDATE `$db_base`.`kolhoz_user` SET `last_plant` = '$gos[id_plant]' WHERE `id` = '$ku[id]'" );
								header( "Location:?myfarm" );
								exit;
						}
				else
								err_game( "Для начала вступите в колхоз." );
		}
include_once 'inc/myfarm/change_plant.php';
include_once 'inc/myfarm/change_soil.php';
include_once 'inc/myfarm/clean_grounds.php';
include_once 'inc/myfarm/cultivator_all.php';
include_once 'inc/myfarm/cultivator.php';
include_once 'inc/myfarm/harvest_all.php';
include_once 'inc/myfarm/harvest.php';
include_once 'inc/myfarm/new_ground.php';
include_once 'inc/myfarm/seat_all.php';
include_once 'inc/myfarm/soil_all.php';
include_once 'inc/myfarm/soil.php';
include_once 'inc/myfarm/water_all.php';
include_once 'inc/myfarm/water.php';
if ( isset( $_GET[ 'komp' ] ) )
		{
				mysql_query( "UPDATE `$db_base`.`kolhoz_user` SET `komp` = '" . ( $ku[ 'komp' ] == 1 ? "0" : "1" ) . "' WHERE `id` = '$ku[id]'" );
				header( "Location:?myfarm" );
		}
if ( $ku[ 'komp' ] == 0 )
		{
				echo "<div class='event'><h1>Грядки
<a href='?myfarm&komp'><img title='Компактный вид' width='16' height='16' src='images/icons/down.png' alt='o'></a>

<a href='?myfarm&reflesh=" . rand( 99999, 99999999 ) . "'><img title='Обновить' width='16' height='16' src='images/icons/refresh.png' alt='o'></a>&nbsp; ";
				if ( $ku[ 'hydropinics_time' ] > $time )
								echo "<a class='epic' href='?shop=hydropinics'><img title='Гидропоника' width='16' height='16' src='images/icons/hydropinics.png' alt='o'></a>&nbsp; ";
				if ( $ku[ 'scarecrow_time' ] > $time )
								echo "<a class='epic' href='?shop=scarecrow'><img title='Пугало' width='16' height='16' src='images/icons/scarecrow.png' alt='o'></a>&nbsp; ";
				if ( $ku[ 'time_shmel' ] > $time )
								echo "<a href='?shop=helicopter&1'><img title='Шмель' width='16' height='16' alt='o' src='images/icons/heli1n.png'></a>&nbsp; ";
				if ( $ku[ 'time_yastreb' ] > $time )
								echo "<a class='epic' href='?shop=helicopter&2'><img title='Ястреб' width='16' height='16' alt='o' src='images/icons/heli2n.png'></a>&nbsp; ";
				if ( $ku[ 'time_drakon' ] > $time )
								echo "<a class='epic' href='?shop=helicopter&3'><img title='Дракон' width='16' height='16' alt='o' src='images/icons/heli3n.png'></a> ";
				echo "</h1></div>";
		}
if ( $ku[ 'komp' ] == 1 )
		{
				echo "<div><h1>Грядки</h1></div><div class='content'>";
				echo "<div class='block'> <img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='?myfarm&reflesh=" . rand( 99999, 99999999 ) . "'>Обновить</a>";
				if ( $ku[ 'hydropinics_time' ] > $time )
								echo "<li><img width='16' height='16' src='images/icons/hydropinics.png' alt='o'> <a class='epic' href='?shop=hydropinics'>Гидропоника</a><span class='minor'><span> $ku[hydropinics_type]%</span> на <span>" . time_left( $ku[ 'hydropinics_time' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'scarecrow_time' ] > $time )
								echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a><span class='minor'> на <span>" . time_left( $ku[ 'scarecrow_time' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'time_shmel' ] > $time )
								echo "<li><img width='16' height='16' alt='o' src='images/icons/heli1n.png'> <a class='epic' href='?shop=helicopter&1'>Шмель</a><span class='minor'> на <span>" . time_left( $ku[ 'time_shmel' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'time_yastreb' ] > $time )
								echo "<li><img width='16' height='16' alt='o' src='images/icons/heli2n.png'> <a class='epic' href='?shop=helicopter&2'>Ястреб</a><span class='minor'> на <span>" . time_left( $ku[ 'time_yastreb' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'time_drakon' ] > $time )
								echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='?shop=helicopter&3'>Дракон</a><span class='minor'> на <span>" . time_left( $ku[ 'time_drakon' ] - $time ) . "</span></span></li>";
				echo "<li><a href='?myfarm&komp'><img width='16' height='16' src='images/icons/up.png' alt='o'> Компактный вид</a></li>";
				echo "</div></div>";
		}
//echo "<li><br><font color='yellow'>Компактный вид: </font><a href='?komp'><span>".($ku['komp']==0?"<font color='green'>включено</font>":"<font color='red'>выключено</font>")."</span></a></li>";
include_once 'inc/myfarm/seat.php';
if ( isset( $_SESSION[ 'cp' ] ) )
		{
				echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Бесплатная очистка грядок будет доступна через " . time_left( $ku[ 'time_cp' ] - $time ) . "</span></li></ul></div>";
				unset( $_SESSION[ 'cp' ] );
		}
echo "<div class='content'>";
echo "<div class='block'>";
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0'" ), 0 ) != 0 && $ku[ 'harvester' ] > 0 )
				echo "<div><img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='?myfarm&harvest_all'>Собрать все</a></div>";
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time'" ), 0 ) != 0 && $ku[ 'soiler' ] > 0 )
				echo "<div><img width='16' height='16' src='images/icons/soil.png' alt='o'> <a href='?myfarm&soil_all'>Удобрить все</a></div>";
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '$time' OR `time_water` < '$time') AND `time` > '$time' AND (`soil` = '0' AND `time_soil` > '$time' OR `soil` = '1')" ), 0 ) != 0 && $ku[ 'irregate' ] > 0 )
				echo "<div><img width='16' height='16' src='images/icons/water.png' alt='o'> <a href='?myfarm&water_all'>Полить все</a></div>";
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'" ), 0 ) != 0 && $ku[ 'seeder' ] > 0 )
				echo "<li><img width='16' height='16' src='images/icons/seat.png' alt='o'> <a href='?myfarm&seat_all'>Засадить все</a></li>";
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'" ), 0 ) != 0 && $ku[ 'cultivator' ] > 0 )
				echo "<div><img width='16' height='16' src='images/icons/dig.png' alt='o'> <a href='?myfarm&cultivator_all'>Вскопать все</a></div>";
echo "<ul>";
////ГРЯДКИ
$q = mysql_query( "SELECT * FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]'" );
while ( $post = mysql_fetch_array( $q ) )
		{
				echo "<li>";
				if ( $post[ 'id_plant' ] != 0 && mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$post[id_plant]'" ), 0 ) != 0 )
								$plant = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$post[id_plant]'" ) );
				echo "<li><img width='48' height='48' src='" . ( !isset( $plant ) ? "" . ( $post[ 'cultivator' ] == 1 ? "images/dirt_new.jpg" : "images/dirt2_new.jpg" ) . "" : "images/plants/$plant[id].png" ) . "' alt='o' class='portrait'>";
				echo "<div>";
				echo "" . ( !isset( $plant ) ? "<span class='title'>" . ( $post[ 'cultivator' ] == 1 ? "Земля, готовая к посеву" : "Необработанная земля" ) . "</span>" : "<span  class='title'>" . hsc( $plant[ 'name' ] ) . "</span>" . ( $post[ 'time' ] > $time ? "<span class='small minor'> (Урожай через <span> " . time_left( $post[ 'time' ] - $time ) . "</span>)</span>" : null ) . "" ) . "";
				echo "</div>";
				echo "<div>";
				if ( isset( $plant ) )
						{
								if ( $post[ 'time' ] <= $time )
										{
												echo "<img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='?myfarm&harvest=$post[id]'>Собрать урожай</a>";
										}
								else
										{
												if ( $ku[ 'last_soil' ] != 0 && mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_soil` WHERE `id` = '$ku[last_soil]'" ), 0 ) != 0 )
																$ls = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_soil` WHERE `id` = '$ku[last_soil]'" ) );
												echo "<div class='small minor'>" . ( $post[ 'time_soil' ] <= $time && $post[ 'soil' ] == 0 && $post[ 'time' ] > $time ? "<img width='16' height='16' src='images/icons/soil.png' alt='o'> " . ( isset( $ls ) ? "<a href='?myfarm&soil=$post[id]&select=$ls[id]'>Применить
<span>" . hsc( $ls[ 'name' ] ) . "</span></a>, <a href='?myfarm&soil=$post[id]'><span>выбрать
удобрение</span></a>" : "<a href='?myfarm&soil=$post[id]'>Удобрить</a>" ) . "" : "" . ( $post[ 'soil' ] == 0 && $post[ 'time' ] > $time ? "Удобрение через " . time_left( $post[ 'time_soil' ] - $time ) . "" : null ) . "" ) . "</div>";
												echo "<div class='small minor'>" . ( $post[ 'time_water' ] > $time && $post[ 'time' ] > $time ? "Полив через " . time_left( $post[ 'time_water' ] - $time ) . "" : "" . ( $post[ 'time' ] > $time ? "" . ( $post[ 'soil' ] == 0 && $post[ 'time_soil' ] > $time || $post[ 'soil' ] == 1 ? "<img alt='' width='16' height='16' src='images/icons/water.png'> <a href='?myfarm&water=$post[id]'>Полить</a>" : null ) . "" : null ) . "" ) . "</div>";
										}
						}
				else
						{
								echo "<span>";
								if ( $ku[ 'last_plant' ] != 0 && mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$ku[last_plant]'" ), 0 ) != 0 )
												$lp = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$ku[last_plant]'" ) );
								echo "" . ( $post[ 'cultivator' ] == 1 ? "<img width='16' height='16' src='images/icons/seat.png' alt='o'> " . ( isset( $lp ) ? "<a href='?myfarm&seat=$post[id]&select=$lp[id]'>Посадить <span>" . hsc( $lp[ 'name' ] ) . "</span></a>, <a href='?myfarm&seat=$post[id]'><span>выбрать семена</span></a>" : "<a href='?myfarm&seat=$post[id]'>Посадить</a>" ) . "" : "<img width='16' height='16' src='images/icons/dig.png' alt='o'> <a href='?myfarm&cultivator=$post[id]'><span style='title'>Вскопать</span></a>" ) . "";
								echo "</span>";
						}
				if ( isset( $plant ) )
								unset( $plant );
				echo "</div><div style='clear:both'></div></li>";
		}
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]'" ), 0 ) < 25 )
				echo "<li><img width='48' height='48' src='images/dirt_new.jpg' alt='o' class='portrait'><div><span class='title'>Новая земля</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?myfarm&new_ground'>Купить</a> за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span>" . cpg( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_ground` WHERE `id_user` = '$ku[id]'" ), 0 ) ) . "</span> рубинов</span></div><div style='clear:both'></div></li>";
//echo "</ul>";
if ( $ku[ 'last_plant' ] != 0 && mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$ku[last_plant]'" ), 0 ) != 0 )
				$lp = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_plant` WHERE `id` = '$ku[last_plant]'" ) );
if ( $ku[ 'last_soil' ] != 0 && mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_soil` WHERE `id` = '$ku[last_soil]'" ), 0 ) != 0 )
				$ls = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_soil` WHERE `id` = '$ku[last_soil]'" ) );
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective_user` WHERE `id_user` = '$ku[id]'" ), 0 ) != 0 )
		{
?>
<img width='16' height='16' src='images/icons/heli4n.png' alt='o'> <a href='?collective=<?php
				echo $mc[ 'id' ];
?>&hangar'>Вызвать вертолёт</a><br/>
<?php
		}
echo "<ul class='ptm'><li><img width='16' height='16' src='images/icons/seat.png' alt='o'> <a href='?myfarm&change_plant'>Сменить растение</a>: <span>" . ( isset( $lp ) ? "" . hsc( $lp[ 'name' ] ) . "" : "-" ) . "</span></li>";
echo "<li><img width='16' height='16' src='images/icons/soil.png' alt='o'> <a href='?myfarm&change_soil'>Сменить удобрение</a>: <span>" . ( isset( $ls ) ? "" . hsc( $ls[ 'name' ] ) . "" : "-" ) . "</span></li>";
echo "" . ( $ku[ 'time_cp' ] > $time ? "<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> До бесплатной очистки: <span>" . time_left( $ku[ 'time_cp' ] - $time ) . "</span></li><li><span><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?myfarm&clean_grounds'><span>Очистить грядки</span></a>(<span>Стоимость</span>: <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span
class='title'>" . ( $ku[ 'count_cp' ] * 10 ) . "</span></span>)</span></li>" : "<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> <a href='?myfarm&clean_grounds'>Очистить грядки</a></li>" ) . "</ul></div>";
//echo "</div>";
include_once 'inc/foot.php';
?>